Support for SeaMonkey browser?

SimonSimon Posts: 2,610 Superuser

Will FSIS 2014 be supporting other browsers?  I believe IE, Firefox and Chrome are supported, but I would like to have the same Online Security available in SeaMonkey.  As SeaMonkey uses the Firefox engine, would it be too difficult to implement support for this browser?  I know it isn't as popular as the above three browsers, but it is supported by other security products, such as Bitdefender.

Comments

  • JaniashviliJaniashvili Posts: 469
    FSIS supports all browsers on non-HTTPS:// level (that means FSIS 2014 supports HTTPS only on those three browsers)
  • SimonSimon Posts: 2,610 Superuser
    Sorry, not sure what 'non-HTTPS://' means. Are you saying that if I continue to use SeaMonkey, I lose the Online Safety functions in FSIS? If so, that's quite disappointing, given that other security products support the browser.
  • JaniashviliJaniashvili Posts: 469

    What I meant is that if you'll be on HTTPS website (the "protected" webpages) - then Online Safety won't function at those pages.
  • SimonSimon Posts: 2,610 Superuser

    That's a shame - so I will not benefit from Banking Protection, which I could have used with Bitdefender.  Smiley Frustrated

  • JaniashviliJaniashvili Posts: 469
    I'm not sure about Banking Protection through
  • SimonSimon Posts: 2,610 Superuser
    The banner doesn't come up with SeaMonkey.
  • SimonSimon Posts: 2,610 Superuser

    I am delighted to note that Banking Protection is now enabled in SeaMonkey!  Smiley Very Happy

    Chrissy
This discussion has been closed.